Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 07/26/2019 in all areas

  1. Hi, One of the most important things when you intend to use commands is that to disable the system variable OSMODE then reset back once your program finishes or ends.
    1 point
  2. Perhaps this line (command "line" (list x1 y1 (caddr p1)) (list x1 y1 0) ""); Should be (command "line" (list x1 y1 (caddr pg)) (list x1 y1 0.0) ""); Since p1 when passed in becomes pg, and IMHO reals should always be reals and not integers
    1 point
  3. here's a good place to start : https://www.afralisp.net/archive/methods/lista/startundomark_method.htm
    1 point
  4. maybe better use copy (cut) / paste with base point. At one time you make a selection so copy it with base point 0,0 and when you're done paste it back at 0,0. But as dlanorh states , without some code or more info about why you need this hard to give a tip...
    1 point
  5. You could use the OOPS command.
    1 point
  6. Only points? What about other objects in the drawing? I would check extmin and extmax: (defun c:check_3d (/ FUZZ ZL ZR) (setq fuzz 0.05) ; fuzzy-factor: how close to zero? (setq zl (caddr (getvar 'extmin)) zr (caddr (getvar 'extmax)) ) (cond ((AND (equal zl 0 fuzz) (equal zr 0 fuzz)) (alert "All points/objects at zero \n[within tolerance}") ) ((< zl 0) (alert "Lower left corner is negative")) ((> zl 0) (alert "Lower left corner is positive")) ((< zr 0) (alert "Upper right corner is negative")) ((> zr 0) (alert "Upper right corner is positive")) (t nil) ) (princ) ) (c:check_3d)
    1 point
×
×
  • Create New...